package br.org.senacagil;


import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.annotation.AfterReturning;



@Aspect
public class AjLoggingAspect {
	@Pointcut("execution(* *..Account.*(..))")
	public void callsToAccount() {
	}

	@Before("callsToAccount()")
	public void before(JoinPoint jp) {
		System.out.println("Before [" + jp.toShortString() + "].");
	}

	@AfterReturning("callsToAccount()")
	public void after() {
		System.out.println("After.");
	}
}
